## lvm2 2.02.51-4maemo0

=== debian/changelog ===
lvm2 (2.02.51-4maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 23 Sep 2012 16:38:26 +0200

lvm2 (2.02.51-4) unstable; urgency=low

  * Fixes: NB#229946 - libdevicemapper0 is missing debug symbols

 -- Tomi Suviola <tomi.suviola@nokia.com>  Thu, 10 Mar 2011 15:20:00 +0300

lvm2 (2.02.51-3) unstable; urgency=low

  * Fixes: NB#143070 - lvm2 does not provide shlibs files for libraries.

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:00 +0300

lvm2 (2.02.51-2) unstable; urgency=low

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2).

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Tue, 20 Oct 2009 15:00:00 +0300

lvm2 (2.02.51-1) unstable; urgency=low

  * Initial release 

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Wed, 16 Sep 2009 15:19:53 +0300
