=== debian/control ===
Source: lvm2
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2
Section: libs

Package: libdevicemapper0-dev
Section: libdevel
Architecture: any
Depends: libdevicemapper0 (= ${Source-Version})
Description: Development package for device mapper
 Development header and dmsetup appliction can be found in this package.

Package: libdevicemapper0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library package for the Linux Device Mapper. 

Package: libdevicemapper0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdevicemapper0 (= ${binary:Version})                                 
Description: Libdevicemapper debug symbols
