## lvm2 2.02.51-4maemo1

=== debian/changelog ===
lvm2 (2.02.51-4maemo1) unstable; urgency=low
  * Optified
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 23 Sep 2012 17:00:03 +0200
