=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
 XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
-Build-Depends: debhelper (>= 5), autotools-dev
+Build-Depends: debhelper (>= 5), autotools-dev, maemo-optify
 Standards-Version: 3.7.2
 Section: libs
