=== debian/rules ===
--- 
+++ 
@@ -108,6 +108,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
