## lvm2 2.02.66

=== debian/changelog ===
lvm2 (2.02.66-5) unstable; urgency=low

  * Remove old libdevmapper1.02 init script on upgrade. (closes: #549316)
  * Conflict against libdevmapper1.02.

 -- Bastian Blank <waldi@debian.org>  Sun, 23 Jan 2011 18:30:01 +0100

lvm2 (2.02.66-4) unstable; urgency=low

  * Make libdevmapper break old lvm2, it missuses the udev sync
    interface. (closes: #599596)
  * Make lvm2 break old grub-common. (closes: #588026)
  * Use correct binary name in clvm init script. (closes: #600089)

 -- Bastian Blank <waldi@debian.org>  Sat, 30 Oct 2010 18:04:20 +0200

lvm2 (2.02.66-3) unstable; urgency=high

  * Import upstream version 2.02.72:
    - CVE-2010-2526: Fix insecure communication between lvm2 and clvmd.
     (Closes: #591204)          
    - Only use single node clvm if explicitly requested.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Aug 2010 14:44:02 +0200

lvm2 (2.02.66-2) unstable; urgency=medium

  * Make libdevmapper1.02.1 depend on dmsetup. libdevmapper needs new enough
    udev rules, which needs dmsetup for now. (closes: #585786)
    - Set urgency to medium, as this can break the boot.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jun 2010 11:39:39 +0200

lvm2 (2.02.66-1) unstable; urgency=low

  * New upstream version.
  * Define and use a union for semaphore access as mandated by the standard.
    (closes: #583677)
  * Don't longer overwrite names of dm devices.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jun 2010 11:47:51 +0200

lvm2 (2.02.64-1) unstable; urgency=low

  * New upstream version.
  * Don't longer build static libraries.
  * Fix readline support. (closes: #575640)
  * Built-in cluster locking.
  * Build liblvm2app and liblvm2cmd. (closes: #564810)
  * Adopt some upstream udev rule changes.
  * Enable udev sync, remove explicit udev dependency, bump dmsetup dependency
    to get it working. (closes: #543163)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 May 2010 13:33:09 +0000

lvm2 (2.02.62-1) unstable; urgency=low

  * New upstream version.
  * Use 3.0 (quilt) source format.
    - Fix permission of hook script. (closes: 569286)
  * Remove DM_HIDE from the documentation. (closes: #573154)

 -- Bastian Blank <waldi@debian.org>  Sat, 20 Mar 2010 18:09:20 +0100

lvm2 (2.02.54-1) unstable; urgency=low

  * New upstream version.
  * Remove notify rules, unused for now.
  * Add better documentation about the udev rules.
  * Update list of to be ignored hidden lvm subvolumes.
  * Make libdevmapper-dev depend against libselinux1-dev.
  * Update complete udev ruleset.
  * Remove conflict against devicekit-disks.
  * Use bash for new script.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Nov 2009 18:20:39 +0100

lvm2 (2.02.53-2) unstable; urgency=medium

  * Fix variable assignment in udev rules. (closes: #550100, RC bugfix)
  * Install udev rules into initramfs.
  * Add initramfs-tools hook to dmsetup.
  * Trigger initramfs update.

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Oct 2009 18:17:43 +0200

lvm2 (2.02.53-1) unstable; urgency=low

  * New upstream version.
  * Make dmsetup conflicts against devicekit-disks, it duplicates the udev
    rules.
  * Add possibility to hide creation of extra symlinks via udev.
  * Ignore temporary cryptsetup devices.

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Sep 2009 05:27:35 +0200

lvm2 (2.02.52-1) unstable; urgency=low

  * New upstram version.
  * Fix clvm init script. (closes: #542169)
  * Remove dmsetup export support, unused.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Sep 2009 17:44:29 +0000

lvm2 (2.02.44-3) unstable; urgency=low

  * Merge remaining settings for devmapper.
    - Fix device group and mode. (closes: #518361)
    - Disable selinux support in udeb. (closes: #518527)

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Mar 2009 11:32:36 +0100

lvm2 (2.02.44-2) unstable; urgency=low

  * Fix implicit pointer conversion. (closes: #516867)
  * Drop unused ncurses dependency.

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Feb 2009 11:51:01 +0100

lvm2 (2.02.44-1) unstable; urgency=low

  * New upstream version.
    - Merge devmapper sources.
  * Add devmapper binary packages.
  * Use debhelper compat level 7.
  * Add new libdevmapper symbols.
  * Update copyright file.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Feb 2009 20:51:17 +0100

lvm2 (2.02.39-6) unstable; urgency=low

  * Readd a vgchange binary into the initramfs. At least cryptsetup depends on
    this.

 -- Bastian Blank <waldi@debian.org>  Sat, 22 Nov 2008 16:16:57 +0100

lvm2 (2.02.39-5) unstable; urgency=low

  * Install lvm.conf into initramfs. (closes: #439761)
  * Also ignore locking in initramfs.
  * Make piuparts-clean. (closes: 455115)
    - Cleanup old files on upgrade. /lib/lvm-default, /etc/lvm/.cache.
    - Cleanup dirs on remove. /etc/lvm/cache, /var/lock/lvm.
  * Recommend dmsetup.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 22:15:18 +0100

lvm2 (2.02.39-4) unstable; urgency=low

  * Revert locking change, it breaks too much. (closes: #506354)
  * Disable cluster support in udeb.
  * Install the binary as lvm in the initramfs. (closes: #503627)
  * Build cluster locking internal.
  * Adjust clvm documentation for the locking change.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 16:23:22 +0100

lvm2 (2.02.39-3) unstable; urgency=low

  * Depend against lsb-base.
  * Make clvm depend against cman.
  * Don't ignore locking failures in lvm2 init script.
  * Only activate vgs local.
  * Add clvm initscript. (closes: #336258)
  * Try to activate anything in the lvm2 postinst. (closes: #506105)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Nov 2008 11:59:06 +0100

lvm2 (2.02.39-2) unstable; urgency=low

  * Disable readline support in udeb. (closes: #491203)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jul 2008 16:42:03 +0000

lvm2 (2.02.39-1) unstable; urgency=low

  * New upstream version.
  * Make /dev/$vgname readable by anyone, it is not private data as
    /dev/mapper is already readable.


