## lvm2 2.02.88

=== debian/changelog ===
lvm2 (2.02.88-2) unstable; urgency=low

  * Enable corosync and openais support. (closes: #563320)

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Nov 2011 18:51:00 +0100

lvm2 (2.02.88-1) unstable; urgency=low

  * New upstream version.
  * Remove lvm-common conflicts and replaces.
  * Remove grub-common breakage.
  * Remove own quilt usage.
  * Move cache file to /run/lvm. (closes: #562234)
    - Remove old cache dir.
  * Move lock files to /run/lock/lvm. (closes: #263148)
  * Support status action in lvm2 init script. (closes: #643822)
  * Remove Squeeze upgrade checks.

 -- Bastian Blank <waldi@debian.org>  Thu, 20 Oct 2011 21:37:06 +0200

lvm2 (2.02.86-1) unstable; urgency=low

  * New upstream version.
  * Remove leading article from short description.
  * Update udev rules.

 -- Bastian Blank <waldi@debian.org>  Sat, 27 Aug 2011 18:45:21 +0200

lvm2 (2.02.84-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libreadline5-dev build dependency with (conservatively)
    libreadline-gplv2-dev, fixes an FTBFS. (Closes: #553807)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Jul 2011 17:39:19 +0000

lvm2 (2.02.84-3) unstable; urgency=low

  * Remove udev dependency from init script. (closes: #543163)
  * Don't longer create device nodes in init script.
  * Don't longer try to stop devices on shutdown.

 -- Bastian Blank <waldi@debian.org>  Mon, 28 Mar 2011 14:42:35 +0200

lvm2 (2.02.84-2) unstable; urgency=low

  * Fix development library symlinks. (closes: #614838)
  * Update Standards-Version to 3.9.1, no changes needed.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Mar 2011 11:40:22 +0100

lvm2 (2.02.84-1) unstable; urgency=medium

  * New upstream version.
  * Adopt upstream changes in udev rules. (closes: #603710)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Feb 2011 22:53:35 +0100
