=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: optional
 Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>> 4.2), automake, libcman-dev (>> 2), libdlm-dev (>> 2), libreadline5-dev, libselinux1-dev, libudev-dev, pkg-config, quilt
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>> 7), automake, libcman-dev (>> 2), libcorosync-dev, libdlm-dev (>> 2), libreadline-gplv2-dev, libselinux1-dev, libudev-dev, openais-dev, pkg-config
+Standards-Version: 3.9.1
 Homepage: http://sources.redhat.com/lvm2/
 Vcs-Svn: svn://svn.debian.org/pkg-lvm/lvm2/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-lvm/lvm2/trunk/
 
 Package: lvm2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47)
-Breaks: grub-common (<<1.98+20100527-1)
-Conflicts: lvm-common
-Replaces: lvm-common
-Description: The Linux Logical Volume Manager
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47), initscripts (>= 2.88dsf-13.3)
+Breaks: initramfs-tools (<< 0.99)
+Description: Linux Logical Volume Manager
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
  supports enterprise level volume management of disk and disk subsystems
  by grouping arbitrary disks into volume groups. The total capacity of
@@ -27,7 +25,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Logical Volume Manager
+Description: Linux Logical Volume Manager
  This is a udeb, or a microdeb, for the debian-installer.
  .
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -39,17 +37,18 @@
 Package: clvm
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base, cman
+Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base, corosync | cman
 Description: Cluster LVM Daemon for lvm2
- This package provides the clustering interface for lvm2, when used with 
- Red Hat's "cman" cluster infrastructure. It allows logical volumes to
- be created on shared storage devices (eg Fibre Channel, or iSCSI). 
+ This package provides the clustering interface for lvm2, when used with
+ Red Hat's "cman" or corosync based (eg Pacemaker) cluster infrastructure.
+ It allows logical volumes to be created on shared storage devices
+ (eg Fibre Channel, or iSCSI).
 
 Package: libdevmapper-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libdevmapper1.02.1 (= ${binary:Version}), libselinux1-dev
-Description: The Linux Kernel Device Mapper header files
+Description: Linux Kernel Device Mapper header files
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -68,7 +67,7 @@
 Breaks: lvm2 (<< 2.02.66)
 Conflicts: libdevmapper1.02
 Provides: libdevmapper
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -84,7 +83,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -97,7 +96,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>> 2.16)
 Conflicts: devicekit-disks (<< 009)
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -111,7 +110,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
