=== debian/rules ===
--- 
+++ 
@@ -47,18 +47,12 @@
 CONFIGURE_FLAGS += --disable-o_direct
 endif
 
-patch: $(STAMPS_DIR)/patch
-
-$(STAMPS_DIR)/patch:
-	@mkdir -p $(STAMPS_DIR)
-	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
-	touch $@
-
 source: $(STAMPS_DIR)/source
 
 $(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian .svn, $(wildcard * .[^.]*))
 $(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
-$(STAMPS_DIR)/source: $(STAMPS_DIR)/patch
+$(STAMPS_DIR)/source:
+	@mkdir -p $(STAMPS_DIR)
 	rm -rf $(DIR)
 	mkdir -p '$(DIR)'
 	cp -a $(SOURCE_FILES) '$(DIR)'
@@ -76,11 +70,13 @@
 	./configure CFLAGS="$(CFLAGS)" \
 		$(CONFIGURE_FLAGS) \
 		--with-optimisation="" \
-		--with-clvmd=cman \
+		--with-clvmd=cman,corosync,openais \
 		--with-cluster=internal \
 		--with-device-uid=0 \
 		--with-device-gid=6 \
 		--with-device-mode=0660 \
+		--with-default-run-dir=/run/lvm \
+		--with-default-locking-dir=/run/lock/lvm \
 		--enable-applib \
 		--enable-cmdlib \
 		--enable-pkgconfig \
@@ -90,7 +86,7 @@
 
 $(STAMPS_DIR)/setup_udeb: SOURCE_DIR = $(BUILD_DIR)/source
 $(STAMPS_DIR)/setup_udeb: DIR = $(BUILD_DIR)/build_udeb
-$(STAMPS_DIR)/setup_udeb: $(STAMPS_DIR)/patch
+$(STAMPS_DIR)/setup_udeb: $(STAMPS_DIR)/source
 	rm -rf $(DIR)
 	cp -a '$(SOURCE_DIR)' '$(DIR)'
 	cd $(DIR); \
@@ -205,33 +201,33 @@
 		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
 		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
 
-install_liblvm2app: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME)
-install_liblvm2app: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2app: $(STAMPS_DIR)/install_deb
+install_liblvm2: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME) -pliblvm2cmd$(LVM2CMD_ABINAME) -pliblvm2-dev
+install_liblvm2: DIR = $(BUILD_DIR)/install_deb
+install_liblvm2: $(STAMPS_DIR)/install_deb
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	dh_makeshlibs -V -- -c2
-	+$(MAKE_SELF) install-base
-
-install_liblvm2cmd: export DH_OPTIONS = -pliblvm2cmd$(LVM2CMD_ABINAME)
-install_liblvm2cmd: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2cmd: $(STAMPS_DIR)/install_deb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_makeshlibs -V -- -c2
-	+$(MAKE_SELF) install-base
-
-install_liblvm2-dev: export DH_OPTIONS = -pliblvm2-dev
-install_liblvm2-dev: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2-dev: $(STAMPS_DIR)/install_deb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	+$(MAKE_SELF) install-base
 
 install_lvm2: export DH_OPTIONS = -plvm2
 install_lvm2: DIR = $(BUILD_DIR)/install_deb
 install_lvm2: $(STAMPS_DIR)/install_deb
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_installinit --no-start -- start 26 S . start 50 0 6 .
+	dh_installinit --no-start -- start 26 S .
 	+$(MAKE_SELF) install-base
 
 install_lvm2-udeb: export DH_OPTIONS = -plvm2-udeb
 install_lvm2-udeb: DIR = $(BUILD_DIR)/install_udeb
 install_lvm2-udeb: $(STAMPS_DIR)/install_udeb
+	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	+$(MAKE_SELF) install-base
+
+binary-indep:
+binary-arch: $(addprefix install_,libdevmapper libdevmapper-udeb libdevmapper-dev dmsetup dmsetup-udeb liblvm2 lvm2 lvm2-udeb clvm)
+
+binary: binary-indep binary-arch
+
+DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
+TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.gz
+TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))
+
+orig: $(DIR_ORIG)
